com.qualcomm.ftccommon

## Class FtcLynxModuleAddressUpdateActivity

- java.lang.Object
- - EditActivity
  - - com.qualcomm.ftccommon.FtcLynxModuleAddressUpdateActivity

-     public class FtcLynxModuleAddressUpdateActivity
      extends EditActivity

  `FtcLynxModuleAddressUpdateActivity` provides a means by which users can update the (persistently stored) address of a Lynx Module

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName`
    `protected class` | `FtcLynxModuleAddressUpdateActivity.AddressConfiguration`
    `protected class` | `FtcLynxModuleAddressUpdateActivity.DisplayedModule`
    `protected class` | `FtcLynxModuleAddressUpdateActivity.DisplayedModuleList`
    `protected class` | `FtcLynxModuleAddressUpdateActivity.ReceiveLoopCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.concurrent.BlockingQueue<CommandList.USBAccessibleLynxModulesResp>` | `availableLynxModules`
    `protected java.util.List<USBAccessibleLynxModule>` | `currentModules`
    `protected FtcLynxModuleAddressUpdateActivity.DisplayedModuleList` | `displayedModuleList`
    `protected int` | `msResponseWait`
    `protected NetworkConnectionHandler` | `networkConnectionHandler`
    `protected RecvLoopRunnable.RecvLoopCallback` | `recvLoopCallback`
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtcLynxModuleAddressUpdateActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> T` | `awaitResponse(java.util.concurrent.BlockingQueue<T> queue, T defaultResponse)`
    `protected <T> T` | `awaitResponse(java.util.concurrent.BlockingQueue<T> queue, T defaultResponse, long time, java.util.concurrent.TimeUnit timeUnit)`
    `protected void` | `doBackOrCancel()`
    `java.lang.String` | `getTag()`
    `protected java.util.List<USBAccessibleLynxModule>` | `getUSBAccessibleLynxModules()`
    `protected boolean` | `isDirty()`
    `void` | `onBackPressed()`
    `void` | `onCancelButtonPressed(View view)`
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `protected void` | `onDestroy()`
    `void` | `onDoneButtonPressed(View view)`
    `protected void` | `onStart()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

    - #### networkConnectionHandler

          protected NetworkConnectionHandler networkConnectionHandler

    - #### recvLoopCallback

          protected RecvLoopRunnable.RecvLoopCallback recvLoopCallback

    - #### msResponseWait

          protected int msResponseWait

    - #### availableLynxModules

          protected java.util.concurrent.BlockingQueue<CommandList.USBAccessibleLynxModulesResp> availableLynxModules

    - #### currentModules

          protected java.util.List<USBAccessibleLynxModule> currentModules

    - #### displayedModuleList

          protected FtcLynxModuleAddressUpdateActivity.DisplayedModuleList displayedModuleList

  - ### Constructor Detail

    - #### FtcLynxModuleAddressUpdateActivity

          public FtcLynxModuleAddressUpdateActivity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onStart

          protected void onStart()

    - #### onDestroy

          protected void onDestroy()

    - #### isDirty

          protected boolean isDirty()

    - #### onDoneButtonPressed

          public void onDoneButtonPressed(View view)

    - #### onCancelButtonPressed

          public void onCancelButtonPressed(View view)

    - #### onBackPressed

          public void onBackPressed()

    - #### doBackOrCancel

          protected void doBackOrCancel()

    - #### getUSBAccessibleLynxModules

          protected java.util.List<USBAccessibleLynxModule> getUSBAccessibleLynxModules()

    - #### awaitResponse

          protected <T> T awaitResponse(java.util.concurrent.BlockingQueue<T> queue,
                                        T defaultResponse)

    - #### awaitResponse

          protected <T> T awaitResponse(java.util.concurrent.BlockingQueue<T> queue,
                                        T defaultResponse,
                                        long time,
                                        java.util.concurrent.TimeUnit timeUnit)